#!/bin/sh
#
#	@(#)dpkey7.sh 1.00 2001/5/30
#	(c) Copyright OMRON SOFTWARE Co., Ltd. 2001
#
#	2001-12-04 JuK Modified for Plamo Linux
#
#

pid=`ps ax | grep dpkeyserv | grep -v grep | sed -e 's/^  *//' -e 's/ .*//'`

case $1 in
'start')
	if [ "${pid}" = "" ]
	then
		if [ -x /usr/sbin/dpkeyserv ]
		then
			/usr/sbin/dpkeyserv > /dev/null
			echo -n ' dpkeyserv'
		else
			echo -n " dpkeyserv non exist"
		fi
	else
		echo -n " dpkeyserv already started"
	fi
	;;
'stop')
	if [ "${pid}" != "" ]
	then
		/bin/kill ${pid}
		echo ' dpkeyserv stopped'
	fi
	;;
'restart')
	$0 stop
	$0 start
	echo " restarted"
	;;
*)
	echo "usage: $0 {start|stop|restart}"
	if [ "${pid}" = "" ]; then
		echo " dpkeyserv is not running"
	else
		echo " dpkeyserv: $pid"
	fi
	;;
esac
