#!/bin/sh
#
#	@(#)wnn7.sh 1.0 2001/5/30
#	(c) Copyright OMRON SOFTWARE Co., Ltd. 2001
#	
#	2001-12-04 JuK Modified for Plamo Linux
#

pid=`ps ax | grep jserver | grep -v grep | sed -e 's/^  *//' -e 's/ .*//'`

case $1 in
'start')
	if [ "${pid}" = "" ]
	then
		if [ -x /usr/sbin/jserver ]
		then
			/usr/sbin/jserver > /dev/null
			echo -n ' jserver(Wnn7)'
		else
			echo -n " jserver(Wnn7) non exist,"
		fi
	else
		echo -n " jserver(Wnn7) already started,"
	fi
	;;
'stop')
	if [ "${pid}" != "" ]
	then
		/bin/kill ${pid}
		echo ' jserver(Wnn7) stopped'
	fi
	;;
'restart')
	$0 stop
	$0 start
	echo " restarted"
	;;
*)
	echo "usage: $0 {start|stop|restart}"
	if [ "${pid}" = "" ]; then
		echo " jserver(Wnn7) is not running"
	else
		echo " jserver(Wnn7): `echo $pid`"
	fi
	;;
esac
